This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 821759 - grep: Gnulib bundled but no bundled(gnulib) provides
grep: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:52 EDT by Mikolaj Izdebski
Modified: 2012-07-14 17:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:52:48 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
grep. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected grep version: grep-2.12-1.fc18

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
grep.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    grep-2.12.tar.xz

At least the following files look like Gnulib files:
    ./grep-2.12/m4/00gnulib.m4
    ./grep-2.12/m4/gnulib-comp.m4
    ./grep-2.12/lib/gnulib.mk
    ./grep-2.12/lib/Makefile.in
    ./grep-2.12/gnulib-tests/gnulib.mk
    ./grep-2.12/gnulib-tests/Makefile.in

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Fedora Update System 2012-07-10 05:38:38 EDT
grep-2.13-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/grep-2.13-1.fc17
Comment 2 Fedora Update System 2012-07-10 16:56:28 EDT
Package grep-2.13-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grep-2.13-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10484/grep-2.13-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-07-14 17:50:43 EDT
grep-2.13-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.